//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializelistGameSessionsRequest")
inline fun listGameSessionsRequest(block: gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest =
  gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.newBuilder()).apply { block() }._build()
object ListGameSessionsRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest = _builder.build()

    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    var paginationOption: gg.dsepractice.chinese.v1alpha1.PaginationOption
      @JvmName("getPaginationOption")
      get() = _builder.getPaginationOption()
      @JvmName("setPaginationOption")
      set(value) {
        _builder.setPaginationOption(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     */
    fun clearPaginationOption() {
      _builder.clearPaginationOption()
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
     * @return Whether the paginationOption field is set.
     */
    fun hasPaginationOption(): kotlin.Boolean {
      return _builder.hasPaginationOption()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest.copy(block: gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequest =
  gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.ListGameSessionsRequestOrBuilder.paginationOptionOrNull: gg.dsepractice.chinese.v1alpha1.PaginationOption?
  get() = if (hasPaginationOption()) getPaginationOption() else null

